Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5732 - patch broken with glibc-2.1
Summary: patch broken with glibc-2.1
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: patch
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-08 16:59 UTC by franz.sirl-kernel
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-28 23:46:27 UTC


Attachments (Terms of Use)

Description franz.sirl-kernel 1999-10-08 16:59:28 UTC
The configure scripts of patch-2.5 detect the LFS support in
glibc-2.1, but due to the lack of a definition of
_GNU_SOURCE, no prototypes for fseeko are declared. That way
the compiler thinks fseeko is taking a 32bit argument for
the offset, when in reality it takes a 64bit offset.

Proof: compile with -W -Wall
Fix: modify the spec
Index: patch.spec
============================================================
=======
RCS file: /cvsroot/rh61/patch/SPECS/patch.spec,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- patch.spec  1999/10/04 18:50:17     1.1
+++ patch.spec  1999/10/08 16:22:56     1.2
@@ -28,6 +28,8 @@ applications.
 #./configure --prefix=/usr
 #make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s

+MY_CFLAGS="%{optflags} -D_GNU_SOURCE -W -Wall"
+%define optflags \$MY_CFLAGS
 %configure

 # XXX unset CPPFLAGS on (ultra?)sparc to avoid large file
system support

Comment 1 Jeff Johnson 2000-02-28 23:46:59 UTC
Red Hat doesn't yet support LFS (because AFAIK it doesn't work on i386 yet).
I'm marking this problem deferred until we can deliver a working LFS on
all arches. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.